//
//  DTMetaDataStore.h
//  DevonMetaData
//
//  Created by Annard Brouwer on 22/07/2008.
//  Copyright 2008 DEVONtechnologies, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface DTMetaDataStore : NSObject
{
    
}

+ (NSArray *)metaDataKeysAtPath:(NSString *)aPath
                   traverseLink:(BOOL)nory
                          error:(NSError **)errorObject;

+ (NSDictionary *)metaDataDictionaryAtPath:(NSString *)aPath
                              traverseLink:(BOOL)nory
                                     error:(NSError **)errorObject;

+ (BOOL)setMetaDataDictionary:(NSDictionary *)aDictionary
                       atPath:(NSString *)aPath
                 traverseLink:(BOOL)nory
                        error:(NSError **)errorObject;

+ (id)objectForKey:(NSString *)aKey
            atPath:(NSString *)aPath
      traverseLink:(BOOL)nory
             error:(NSError **)errorObject;

+ (BOOL)setObject:(id)aValue
           forKey:(NSString *)aKey
           atPath:(NSString *)aPath
     traverseLink:(BOOL)nory
            error:(NSError **)errorObject;

@end
