//
//  DTMetaDataKeyword.h
//  DevonMetaData
//
//  Created by Annard Brouwer on 24/07/2008.
//  Copyright 2008-2009 DEVONtechnologies, LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

// Email related keywords
extern NSString *kDTItemInReplyTo;
extern NSString *kDTItemReferences;
extern NSString *kDTItemReplyToURL;
extern NSString *kDTItemIsFlagged;
extern NSString *kDTItemIsImportant;

// Tagging related keywords
extern NSString *kDTItemTags;

// Annotation related keywords
extern NSString *kDTItemAnnotations;

@interface DTMetaDataKeyword : NSObject {

}

+ (NSString *)localizedKeyword:(NSString *)aKeyword;

@end
